Subject: [OSPF] NSSA RFC 3101 Section 2.5

From: Rajesh Shetty <[email-masked]>
Date: Mon, 06 Oct 2008 14:39:03 +0530

Hi All,

Section 2.5 (Calculating Type-7 AS External Routes) of RFC 3101 (NSSA) refers to section 16.4.1 of Base RFC. Below red marked statement in section 16.4.1 does not hold good for NSSA.

Section 16.4.1:

" When multiple intra-AS paths are available to ASBRs/forwarding addresses, the following rules indicate which paths are preferred. These rules apply when the same ASBR is reachable through multiple areas, or when trying to decide which of several AS-external-LSAs should be preferred. In the former case the paths all terminate at the same ASBR, while in the latter the paths terminate at separate ASBRs/forwarding addresses. In either case, each path is represented by a separate routing table entry as defined in Section 11"

In NSSA when trying to decide which of several AS-external-LSAs (In case of type5, type7 LSAs) should be preferred, paths might terminate at same or different ASBRs/forwarding address.

So I think for clarity its better to mention section 16.4.1 in NSSA RFC with required changes.

Correct me if I am missing any information.

Thanks

Rajesh

This e-mail and attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient's) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!
_______________________________________________
OSPF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ospf

---

From: "Pat Murphy - (650)329-4044" <[email-masked]>
Date: Mon, 06 Oct 2008 07:25:21 -0700 (PDT)

Rajesh,

>These rules apply when the same ASBR is reachable through multiple areas,
>or when trying to decide which of several AS-external-LSAs should be
>preferred. In the former case the paths all terminate at the same ASBR,
>while in the latter the paths terminate at separate ASBRs/forwarding
>addresses. 

>In NSSA when trying to decide which of several AS-external-LSAs (In
>case of type5, type7 LSAs) should be preferred, paths might terminate
>at same or different ASBRs/forwarding address.

I am not sure what you are saying here. 16.4.1 certainly applies on
NSSA border routers where both Type 7 and Type 5 LSAs might exist
for the same prefix. They have equal status as AS external LSAs when
16.4.1 is applied. Keep in mind that a type-7 LSA MUST be originated 
with a forwarding address from its NSSA as defined in RFC 3101 2.4.
Hence an NSSA border router MUST choose different forwarding addresses
when advertising the same prefix into two different NSSAs. Also, Type-5
LSAs must pick their forwarding addresses from non-NSSA areas, the only
exception being Type 7 LSA translation. Furthermore if two NSSA ASBRs
originate functionally equivalent Type-7 LSAs (i.e., same destination,
cost and non-zero forwarding address), one of them flushes its LSA,
also as defined in Section 2.4. Realizing this where is the conflict?

Note that I purposely referenced 16.4.1 without change so that RFC
3101 would not require change at a later date should 16.4.1 change.

Pat